hpp-fcl: hpp::fcl::kIOS Class Reference

hpp-fcl 1.8.0 HPP fork of FCL -- The Flexible Collision Library

Classes | Public Member Functions | Public Attributes | List of all members
hpp::fcl::kIOS Class Reference
Bounding volumes

A class describing the kIOS collision structure, which is a set of spheres. More...

`#include <hpp/fcl/BV/kIOS.h>`

## Public Member Functions
bool | operator== (const kIOS &other) const
| Equality operator. More...
bool | operator!= (const kIOS &other) const
| Difference operator. More...
bool | contain (const Vec3f &p) const
| Check whether the kIOS contains a point. More...
bool | overlap (const kIOS &other) const
| Check collision between two kIOS. More...
bool | overlap (const kIOS &other, const CollisionRequest &, FCL_REAL &sqrDistLowerBound) const
| Check collision between two kIOS. More...
FCL_REAL | distance (const kIOS &other, Vec3f *P=NULL, Vec3f *Q=NULL) const
| The distance between two kIOS. More...
kIOS & | operator+= (const Vec3f &p)
| A simple way to merge the kIOS and a point. More...
kIOS & | operator+= (const kIOS &other)
| Merge the kIOS and another kIOS. More...
kIOS | operator+ (const kIOS &other) const
| Return the merged kIOS of current kIOS and the other one. More...
FCL_REAL | size () const
| size of the kIOS (used in BV_Splitter to order two kIOSs) More...
const Vec3f & | center () const
| Center of the kIOS. More...
FCL_REAL | width () const
| Width of the kIOS. More...
FCL_REAL | height () const
| Height of the kIOS. More...
FCL_REAL | depth () const
| Depth of the kIOS. More...
FCL_REAL | volume () const
| Volume of the kIOS. More...

## Public Attributes
kIOS_Sphere | spheres [5]
| The (at most) five spheres for intersection. More...
unsigned int | num_spheres
| The number of spheres, no larger than 5. More...
OBB | obb
| @ OBB related with kIOS More...

## Detailed Description

A class describing the kIOS collision structure, which is a set of spheres.

The documentation for this class was generated from the following file:

- include/hpp/fcl/BV/kIOS.h